This is the audit log resource.
- Coro public API
- Coro API reference
- Add protected users
Coro Cybersecurity Public API (v1)
This is the Coro Cybersecurity platform API specification reference.
This section provides a complete reference listing for the Coro Cybersecurity REST API resource model.
This reference lists all the resources available through the Coro REST API.
Each section relates to a specific resource and provides its name, description, unique URI path, and the list of operations you can perform on it.
For each operation, you can find:
- A complete description of the action
- Request parameters
- A list of potential responses
- Security (authentication) requirements
The portal also provides code samples and examples for making requests in a number of programming languages, together with samples of the possible response bodies.
In addition to this, Coro provides a Try It feature where you can interact with the API directly through the portal. To use Try It, you'll need to first obtain Client ID and Secret credentials; for more information, see Authentication.
Request
Retrieve a list of users in a workspace. This call supports pagination; default page size includes 20 users.
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/users
- Coro US API server target URLhttps://api.secure.coro.net/v1/users
- cURL
- JavaScript
- Node.js
curl -i -X GET \
'https://docs.coro.net/_mock/api/api-docs/v1/users?email=string&name=string&page=0&pageSize=50' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'{ "items": [ { … } ], "totalElements": 0 }
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/users
- Coro US API server target URLhttps://api.secure.coro.net/v1/users
- cURL
- JavaScript
- Node.js
curl -i -X PUT \
https://docs.coro.net/_mock/api/api-docs/v1/users \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u' \
-d '{
"email": "corotest@corotest.com",
"protectedUser": true
}'{ "id": "62ff9653efef4b3ae04ab25e", "email": "test@test.com", "name": "Harry Owen", "protectedUser": true }
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/users
- Coro US API server target URLhttps://api.secure.coro.net/v1/users
- cURL
- JavaScript
- Node.js
curl -i -X POST \
https://docs.coro.net/_mock/api/api-docs/v1/users \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u' \
-d '{
"users": [
{
"email": "test@test.com",
"name": "Harry Owen"
}
]
}'{ "users": [ { … } ] }
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/users/{id}
- Coro US API server target URLhttps://api.secure.coro.net/v1/users/{id}
- cURL
- JavaScript
- Node.js
curl -i -X GET \
'https://docs.coro.net/_mock/api/api-docs/v1/users/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'{ "id": "62ff9653efef4b3ae04ab25e", "email": "test@test.com", "name": "Harry Owen", "protectedUser": true }
- Coro mock API serverhttps://docs.coro.net/_mock/api/api-docs/v1/users/{id}
- Coro US API server target URLhttps://api.secure.coro.net/v1/users/{id}
- cURL
- JavaScript
- Node.js
curl -i -X DELETE \
'https://docs.coro.net/_mock/api/api-docs/v1/users/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Workspace: corodevonmicrosoftcom_TX7T_u'